## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# No tests included by upstream yet.
%bcond_with     tests

%global         srcname     azure-mgmt-synapse

Name:           python-%{srcname}
Version:        2.1.0~b5
%global         pypi_version    2.1.0b5
Release:        %autorelease
Summary:        Microsoft Azure Synapse Management Client Library for Python
License:        MIT
URL:            https://pypi.org/project/%{srcname}/
Source0:        %{pypi_source %{srcname} %{pypi_version} zip}

BuildArch:      noarch

BuildRequires:  python3-devel

# NOTE(mhayden): Made an error with 2.1.0b2 and didn't use the tilde in the
# version number. This broke the update to b5. BZ 2165622.
Epoch:          1

%if %{with tests}
BuildRequires:  python3dist(azure-devtools)
BuildRequires:  python3dist(azure-mgmt-keyvault)
BuildRequires:  python3dist(azure-mgmt-resource)
BuildRequires:  python3dist(azure-sdk-tools)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-aiohttp)
BuildRequires:  python3dist(python-dotenv)
%endif

%global _description %{expand:
Microsoft Azure Synapse Management Client Library for Python}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}


%prep
%autosetup -n %{srcname}-%{pypi_version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files azure


%check
%pyproject_check_import

%if %{with tests}
%pytest
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md


%changelog
* Wed May 17 2023 Major Hayden <major@redhat.com> - 1:2.1.0~b5-5
- Migrated to SPDX license

* Mon May 08 2023 Major Hayden <major@redhat.com> - 1:2.1.0~b5-4
- S

* Mon Jan 30 2023 Major Hayden <major@redhat.com> - 1:2.1.0~b5-3
- Bump revision for rpmautospec

* Mon Jan 30 2023 Major Hayden <major@redhat.com> - 1:2.1.0~b5-2
- Bump revision for rpmautospec

* Mon Jan 30 2023 Major Hayden <major@redhat.com> - 1:2.1.0~b5-1
- Bump epoch number to fix BZ 2165622

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.0~b5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Tue Nov 01 2022 Major Hayden <major@redhat.com> - 2.1.0~b5-1
- Update to 2.1.0b5

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.0b2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jun 28 2022 Major Hayden <major@redhat.com> - 2.1.0b2-4
- Add import check

* Wed Jun 15 2022 Python Maint <python-maint@redhat.com> - 2.1.0b2-3
- Rebuilt for Python 3.11

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.0b2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Nov 02 2021 Major Hayden <major@mhtx.net> - 2.1.0b2-1
- Update to 2.1.0b2

* Wed Sep 08 2021 Major Hayden <major@mhtx.net> - 2.0.0-4
- Move obsoletes into subpackage

* Fri Jul 23 2021 Major Hayden <major@mhtx.net> - 2.0.0-3
- Remove python version macros

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sat Jul 03 2021 Major Hayden <major@mhtx.net> - 2.0.0-1
- Initial import (#1971865)
